%define oname   googleapis-common-protos-types

Name:       ruby-%{oname}
Version:    1.14.0
Release:    %mkrel 1
Summary:    Common protobuf types used in Google APIs
License:    Apache-2.0
Group:      Development/Ruby
URL:        https://github.com/googleapis/googleapis
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Common protocol buffer types used by Google APIs.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Apr 08 2024 pterjan <pterjan> 1.14.0-1.mga10
+ Revision: 2055596
- Update to 1.14.0

* Mon Aug 22 2022 pterjan <pterjan> 1.4.0-1.mga9
+ Revision: 1879284
- Update to 1.4.0

* Mon Aug 15 2022 pterjan <pterjan> 1.3.2-1.mga9
+ Revision: 1877745
- Update to 1.3.2

* Tue May 03 2022 pterjan <pterjan> 1.3.1-1.mga9
+ Revision: 1855660
- Update to 1.3.1

* Fri Mar 25 2022 umeabot <umeabot> 1.0.4-2.mga9
+ Revision: 1826623
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 1.0.4-1.mga8
+ Revision: 1561528
- Update to 1.0.4

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1507762
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1290963
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 pterjan <pterjan> 1.0.2-1.mga7
+ Revision: 1254173
- Update to 1.0.2

* Thu Apr 26 2018 pterjan <pterjan> 1.0.1-1.mga7
+ Revision: 1222615
- imported package ruby-googleapis-common-protos-types

